#include "licenceELC31.h"
#include "utils.h"
#include <map>
#include <vector>

LicenceELC31::LicenceELC31()
{
}

LicenceELC31::LicenceELC31(LicData &licData)
{
  lData = licData;
  processInputConfiguration();
}

LicenceELC31::LicenceELC31(LicenceIdentification &licIdentification)
{
}

bool LicenceELC31::processInputConfiguration()
{
  return true;
}

int LicenceELC31::getDataPointsCount(int protocolId)
{
  return 0;
}

bool LicenceELC31::getLicenceInfo(int protocolId, void * ptr)
{
  return true;
}



void LicenceELC31::createLicence()
{
}

void LicenceELC31::readLicence()
{
}

LicenceELC31::~LicenceELC31() { }
